Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.net.ssl
Class SSLTunnelSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          javax.net.ssl.SSLSocketFactory
              com.ejie.r01f.net.ssl.SSLTunnelSocketFactory

public class SSLTunnelSocketFactory
extends javax.net.ssl.SSLSocketFactory

Constructor Summary
`SSLTunnelSocketFactory(java.lang.String host, java.lang.String port, java.lang.String usr, java.lang.String pwd)`

Method Summary
`java.net.Socket` | `createSocket(java.net.InetAddress inetaddress, int i)`
`java.net.Socket` | `createSocket(java.net.InetAddress inetaddress, int i, java.net.InetAddress inetaddress1, int j)`
`java.net.Socket` | `createSocket(java.net.Socket socket, java.lang.String s, int i, boolean flag)`
`java.net.Socket` | `createSocket(java.lang.String s, int i)`
`java.net.Socket` | `createSocket(java.lang.String s, int i, java.net.InetAddress inetaddress, int j)`
`java.lang.String[]` | `getDefaultCipherSuites()`
`java.lang.String[]` | `getSupportedCipherSuites()`
`void` | `setDelegateFactory(javax.net.ssl.SSLSocketFactory sslsocketfactory)`
`void` | `setProxyAuth(java.lang.String s, java.lang.String s1)`
`java.lang.String` | `toString()` Para debug.

Methods inherited from class javax.net.ssl.SSLSocketFactory
`getDefault`

Methods inherited from class javax.net.SocketFactory
`createSocket`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSLTunnelSocketFactory

    public SSLTunnelSocketFactory(java.lang.String host,
                                  java.lang.String port,
                                  java.lang.String usr,
                                  java.lang.String pwd)

Method Detail

### createSocket

    public java.net.Socket createSocket(java.lang.String s,
                                        int i)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.lang.String s,
                                        int i,
                                        java.net.InetAddress inetaddress,
                                        int j)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress inetaddress,
                                        int i)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress inetaddress,
                                        int i,
                                        java.net.InetAddress inetaddress1,
                                        int j)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.net.Socket socket,
                                        java.lang.String s,
                                        int i,
                                        boolean flag)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### setDelegateFactory

    public void setDelegateFactory(javax.net.ssl.SSLSocketFactory sslsocketfactory)

### setProxyAuth

    public void setProxyAuth(java.lang.String s,
                             java.lang.String s1)

### getDefaultCipherSuites

    public java.lang.String[] getDefaultCipherSuites()

### getSupportedCipherSuites

    public java.lang.String[] getSupportedCipherSuites()

### toString

    public java.lang.String toString()

  Para debug.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD